Imports System.Web.Security
Imports System.Web.SessionState
Imports ServiceStack.WebHost.Endpoints

Namespace ServiceStackServer
	Public Class [Global]
		Inherits HttpApplication

		Public Class TicketServiceHost
			Inherits AppHostBase

			'Register your web service with ServiceStack.
			Public Sub New()
				MyBase.New("Ticket Service", GetType(TicketService).Assembly)
			End Sub

			Public Overrides Sub Configure(ByVal container As Funq.Container)
				'Register any dependencies your services use here.
			End Sub
		End Class

		Protected Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
			'Initialize your web service on startup.
			CType(New TicketServiceHost, TicketServiceHost).Init
		End Sub
	End Class
End Namespace
