Imports System.Text
Imports System.Threading.Tasks

Namespace TicketSystem.ServiceContract
	Public Class Ticket
		Public Property TicketId As Integer

		Public Property TableNumber As Integer

		Public Property ServerId As Integer

		Public Property Orders As List(Of Order)

		Public Property Timestamp As Date
	End Class

	Public Class Order
		Public Property Category As MenuCategory

		Public Property MenuId As Integer

		Public Property ItemDescription As String
	End Class

	Public Enum MenuCategory
		Others = -1

		Appetizer = 0

		MainCourse = 1

		Dessert = 2
	End Enum

	Public Class GetAllTicketsInQueueRequest
	End Class

	Public Class QueueTicketRequest
		Public Property Ticket As Ticket
	End Class

	Public Class PullTicketRequest
	End Class

	Public Interface ITicketService
		Function Any(ByVal request As GetAllTicketsInQueueRequest) As List(Of Ticket)
		Sub Any(ByVal request As QueueTicketRequest)
		Function Any(ByVal request As PullTicketRequest) As Ticket
	End Interface
End Namespace
