Imports System.Text
Imports System.Threading.Tasks
Imports System.Runtime.Serialization
Imports System.ServiceModel

Namespace TicketSystem.ServiceContract
	<ServiceContract>
	Public Interface ITicketServiceAlt
		<OperationContract>
		Function GetAllTicketsInQueue(ByVal request As GetAllTicketsInQueueRequest) As List(Of Ticket)
		<OperationContract>
		Sub QueueTicket(ByVal request As QueueTicketRequest)
		<OperationContract>
		Function PullTicket(ByVal request As PullTicketRequest) As Ticket
	End Interface

	<DataContract>
	Public Class GetAllTicketsInQueueRequest
	End Class

	<DataContract>
	Public Class QueueTicketRequest
		<DataMember>
		Public Property Ticket As Ticket
	End Class

	<DataContract>
	Public Class PullTicketRequest
	End Class
End Namespace
